Application: gvSIG desktop - gvSIG feature requests #4779
Mejorar cerrado de poligono en edicion (con doble click)
12/22/2017 11:44 AM - Cesar Martinez Izquierdo

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee:

Category: Vector editing

Target version:

gvSIG version: 24.0 Add-on resolve version:
Keywords: Add-on resolve build:

Has patch: Proyecto:

Add-on name: Unknown Hito:

Add-on version:

Description

Hay un problema, que aparece recurrentemente en las listas con el cerrado de geometrias, ya que al hacer doble click sobre el
primer punto en ocasiones se afiade un punto adicional (y depende donde caiga ese punto extra puede producir un poligono
incorrecto que se autocruza).

Estaria bien que al hacer doble click cerca del primer punto, se aplicase una tolerancia y si el click entra dentro de esa tolerancia no
se aflada un punto nuevo si no que se cierre el poligono.

Nota: parece ser que la 2.4 viene con el snapping de punto final activado por defecto, con una tolerancia de 4 pixeles. Seguramente
esto ya produce el efecto que se propone en este ticket, por lo que no habria que hacer ninglin cambio. Simplemente habria que
verificar que realmente se comporta como se espera

History

#1 - 02/06/2019 12:07 AM - Alvaro Anguix
- Category set to Vector editing

#2 - 03/04/2020 05:26 PM - Alvaro Anguix

- Status changed from New to Closed

Comprobado.
